#define PHASE_THRESHOLD 1.5*M_PI

#define MIN_PHASE_THRESHOLD  1.0*M_PI
#define MAX_PHASE_THRESHOLD  2.0*M_PI
#define INTERPOLATION  1

#define VOLTAGE_THRESHOLD 1.5e-4

#define PHASE_THRESHOLD_MIN 1.5*M_PI

#define PASS_FAIL_THRESHOLD 2.0
#define CHECKING_RATIO 0.9
#define DEFAULT_ACCURACY 0.5
#define DEFAULT_TIME_ACCURACY 0.1
#define MAX_DELAY_VARIATION 20
#define MINIMUM_STEP 0

#define INPUT_DIR  "IN/"
#define TMP_DIR    "TMP/"
#define OUTPUT_DIR "OUT/"

#define JSPICE_CALL "spice3"

#define CIRCUIT_EXT ".cir"
#define PARAM_EXT   ".param"
#define TPARAM_EXT   ".tparam"
#define PRINT_EXT   ".print"
#define INIT_EXT    ".init"
#define PASSFAIL_EXT ".passfail"

#define STEP_EXT  ".step"
#define CHECK_EXT ".check"
#define PHASE_EXT ".phase"
#define AVR_EXT   ".mid"
#define SETUP_EXT ".setup"
#define HOLD_EXT  ".hold"
#define GOOD_EXT  ".pass"
#define SEPARATION_EXT ".sep"
#define BAD_EXT   ".fail"
#define NOMINAL_EXT  ".nom"
#define MARGIN_EXT	".margins"
#define BOUNDARY_EXT	".boundary"
#define OPT_EXT		".opt"
#define REGION_EXT ".region"
#define DELAY_EXT  ".delay"
#define SIGNAL_EXT  ".gen"

#define LOGIC_EXT ".logic"
#define ASYNC_EXT ".async"
#define HOLDSETUP_EXT ".hs"
#define REPORT_EXT ".report"

#define VALUE_EXT ".value"
#define VALUE_COMP_EXT ".value.comp"
#define INTERPOLATE_EXT ".inter"
#define TIMEINIT_EXT ".timeinit"

/* latching logic parameters */

#define LATCH_ONE_VOLT   2.0e-3
#define LATCH_THRESHOLD  0.5
#define LATCH_MIN_ONE    0.7
#define LATCH_MAX_ZERO   0.3
#define LATCH_CHECK_INT  100
#define LATCH_EDGE_INT   50
#define LATCH_MIN_EDGE_INT 20
#define LATCH_CHECKRATIO 0.5

